[Tkinter-discuss] Tkinter in Python 2.6 under MacOSX

Michael O'Donnell michael.odonnell at uam.es
Wed Nov 19 08:15:45 CET 2008


> So running Tk 8.5 with python 2.6 under mac wasn't a problem for you ?
> This is confusing me because the thread was about this, so I was
> considering you were in the same boat.

The problem of the strand is that the BINARY distribution of 2.6 doesn't work
on Mac. If you download the source, switch two lines (the search
path for tkinter libraries), then compile, it will work.

My perception is that it is a bit crazy to expect every single
user of python/tkinter or idle on the Mac to know how to compile
C programs on the Mac, or to want to. Also, why have 100s of
people fix a bug, when it could be fixed once and uploaded
as a binary.

Mick


More information about the Tkinter-discuss mailing list